diff --git python-taskw.spec python-taskw.spec
index 6c42e3a455..cf698cae31 100644
--- python-taskw.spec
+++ python-taskw.spec
@@ -12,7 +12,7 @@
 
 Name:             python-taskw
 Version:          1.2.0
-Release:          4%{?dist}
+Release:          5%{?dist}
 Summary:          Python bindings for your taskwarrior database
 
 Group:            Development/Libraries
@@ -32,21 +32,13 @@ BuildRequires:    pytz
 BuildREquires:    python-kitchen
 BuildRequires:    python-unittest2
 
-Requires:         python-six
-Requires:         python-dateutil
-Requires:         pytz
-Requires:         python-kitchen
-
 %if 0%{?rhel} && 0%{?rhel} <= 6
-# The integration with task CLI doesn't work for older versions.
 %else
 BuildRequires:    task
-Requires:         task
 %endif
 
 %if 0%{?rhel} && 0%{?rhel} <= 6
 BuildRequires:    python-ordereddict
-Requires:         python-ordereddict
 %endif
 
 %if 0%{?with_python3}
@@ -59,10 +51,30 @@ BuildRequires:    python3-pytz
 BuildRequires:    python3-kitchen
 %endif
 
-%description
-This is a python API for the `taskwarrior <http://taskwarrior.org>`_
+%global _description\
+This is a python API for the `taskwarrior <http://taskwarrior.org>`_\
 command line tool.
 
+%description %_description
+
+%package -n python2-taskw
+Summary: %summary
+Requires:         python-six
+Requires:         python-dateutil
+Requires:         pytz
+Requires:         python-kitchen
+%if 0%{?rhel} && 0%{?rhel} <= 6
+# The integration with task CLI doesn't work for older versions.
+%else
+Requires:         task
+%endif
+%if 0%{?rhel} && 0%{?rhel} <= 6
+Requires:         python-ordereddict
+%endif
+%{?python_provide:%python_provide python2-taskw}
+
+%description -n python2-taskw %_description
+
 %if 0%{?with_python3}
 %package -n python3-taskw
 Summary:        Python bindings for your taskwarrior database
@@ -116,7 +128,7 @@ popd
 # Remove the tests after we've run them.  No reason to ship them.
 %{__rm} -r %{buildroot}%{python2_sitelib}/%{modname}/test
 
-%files
+%files -n python2-taskw
 %doc README.rst LICENSE.txt
 %{python2_sitelib}/%{modname}
 %{python2_sitelib}/%{modname}-%{version}*
@@ -131,6 +143,10 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0-5
+- Python 2 binary package renamed to python2-taskw
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-trollius.spec python-trollius.spec
index f31942a770..cd9595d451 100644
--- python-trollius.spec
+++ python-trollius.spec
@@ -5,7 +5,7 @@
 %global pypiname trollius
 Name:           python-trollius
 Version:        2.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        A port of the Tulip asyncio module to Python 2
 
 Group:          Development/Libraries
@@ -29,28 +29,35 @@ BuildRequires:  python3-setuptools
 %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 %endif
 
-Requires:  python-futures
-Requires:  python-six
-
 # required for check
 BuildRequires:  python-unittest2
 BuildRequires:  python-futures
 
+
+%global _description\
+\
+Trollius provides infrastructure for writing single-threaded\
+concurrent code using coroutines, multiplexing I/O access over sockets\
+and other resources, running network clients and servers, and other\
+related primitives.\
+\
+Trollius is a portage of the asyncio project (PEP 3156) on Python\
+2. Trollius works on Python 2.6-3.5. It has been tested on Windows,\
+Linux, Mac OS X, FreeBSD and OpenIndiana.
+
+%description %_description
+
+%package -n python2-trollius
+Summary: %summary
+Requires:  python-futures
+Requires:  python-six
 %if 0%{?rhel}==6
 # things required just by python2.6 on RHEL
 Requires:  python-ordereddict
 %endif
+%{?python_provide:%python_provide python2-trollius}
 
-%description
-
-Trollius provides infrastructure for writing single-threaded
-concurrent code using coroutines, multiplexing I/O access over sockets
-and other resources, running network clients and servers, and other
-related primitives.
-
-Trollius is a portage of the asyncio project (PEP 3156) on Python
-2. Trollius works on Python 2.6-3.5. It has been tested on Windows,
-Linux, Mac OS X, FreeBSD and OpenIndiana.
+%description -n python2-trollius %_description
 
 %if 0%{?with_python3}
 %package -n python3-trollius
@@ -105,7 +112,7 @@ popd
 #popd
 #%endif
 
-%files
+%files -n python2-trollius
 %defattr(-,root,root,-)
 %doc README.rst
 %{python2_sitelib}/trollius
@@ -122,6 +129,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-6
+- Python 2 binary package renamed to python2-trollius
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-jit.spec python-tw2-jit.spec
index 946c514575..d6a563a114 100644
--- python-tw2-jit.spec
+++ python-tw2-jit.spec
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-jit
 Version:        2.0.3
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Javascript Infovis Toolkit (JIT) for ToscaWidgets2
 
 Group:          Development/Languages
@@ -30,6 +30,25 @@ BuildRequires:  python-genshi
 BuildRequires:  python-mako
 
 # Runtime requirements
+
+%global _description\
+toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
+that helps people build interactive websites with compelling features, faster\
+and easier. Widgets are re-usable web components that can include a template,\
+server-side code and JavaScripts/CSS resources. The library aims to be:\
+flexible, reliable, documented, performant, and as simple as possible.\
+\
+The JavaScript InfoVis Toolkit (thejit) is a javascript library that\
+provides web standard based tools to create interactive data visualizations\
+for the Web.  It is pretty, interactive, and fast.\
+\
+This module, tw2.jit, provides toscawidgets2 (tw2) widgets that render\
+thejit data visualizations.
+
+%description %_description
+
+%package -n python2-tw2-jit
+Summary: %summary
 Requires:  python-tw2-core
 Requires:  python-tw2-jquery
 Requires:  python-tw2-sqla
@@ -41,20 +60,9 @@ Requires:  python-sqlalchemy
 Requires:  python-BeautifulSoup
 Requires:  python-genshi
 Requires:  python-mako
+%{?python_provide:%python_provide python2-tw2-jit}
 
-%description
-toscawidgets2 (tw2) aims to be a practical and useful widgets framework
-that helps people build interactive websites with compelling features, faster
-and easier. Widgets are re-usable web components that can include a template,
-server-side code and JavaScripts/CSS resources. The library aims to be:
-flexible, reliable, documented, performant, and as simple as possible.
-
-The JavaScript InfoVis Toolkit (thejit) is a javascript library that
-provides web standard based tools to create interactive data visualizations
-for the Web.  It is pretty, interactive, and fast.
-
-This module, tw2.jit, provides toscawidgets2 (tw2) widgets that render
-thejit data visualizations.
+%description -n python2-tw2-jit %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -75,7 +83,7 @@ mv setup.py.tmp setup.py
 %{__python} setup.py install -O1 --skip-build \
     --install-data=%{_datadir} --root %{buildroot}
 
-%files
+%files -n python2-tw2-jit
 %doc README.rst LICENSE-tw2-jit.txt LICENSE-jit.txt
 
 %{python_sitelib}/tw2/jit
@@ -83,6 +91,10 @@ mv setup.py.tmp setup.py
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.3-16
+- Python 2 binary package renamed to python2-tw2-jit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-sqla.spec python-tw2-sqla.spec
index 3efcd2da73..0d838534d7 100644
--- python-tw2-sqla.spec
+++ python-tw2-sqla.spec
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-sqla
 Version:        2.0.6
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        SQLAlchemy database layer for ToscaWidgets2
 
 Group:          Development/Languages
@@ -49,6 +49,15 @@ BuildRequires:  python-turbocheetah
 
 
 # Runtime requirements
+
+%global _description\
+tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common\
+database tasks to be achieved with minimal code.
+
+%description %_description
+
+%package -n python2-tw2-sqla
+Summary: %summary
 Requires:  python-tw2-forms >= 2.1.4.1
 Requires:  python-tw2-dynforms
 %if 0%{?rhel} && 0%{?rhel} <= 6
@@ -57,10 +66,9 @@ Requires:  python-sqlalchemy0.7 >= 0.7
 Requires:  python-sqlalchemy >= 0.7
 %endif
 Requires:  python-zope-sqlalchemy
+%{?python_provide:%python_provide python2-tw2-sqla}
 
-%description
-tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common
-database tasks to be achieved with minimal code.
+%description -n python2-tw2-sqla %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -92,13 +100,17 @@ rm setup.cfg
 #PYTHONPATH=$(pwd) python setup.py test
 #%endif
 
-%files
+%files -n python2-tw2-sqla
 %doc README.rst LICENSE
 %{python_sitelib}/tw2/sqla
 %{python_sitelib}/%{modname}-%{version}-*-nspkg.pth
 %{python_sitelib}/%{modname}-%{version}-*.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.6-12
+- Python 2 binary package renamed to python2-tw2-sqla
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txamqp.spec python-txamqp.spec
index 4abb338a4c..746a4b013a 100644
--- python-txamqp.spec
+++ python-txamqp.spec
@@ -2,7 +2,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.7.0
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        A Python library for communicating with AMQP peers and brokers using Twisted
 
 License:        ASL 2.0
@@ -31,12 +31,13 @@ Requires:       amqp
 
 %description -n python2-%{upstream_name} %_description
 
-%package        thrift
+%package -n python2-%{upstream_name}-thrift
 Summary:        Contributed Thrift libraries for Twisted
 Requires:       %{name} = %{version}-%{release}
 Requires:       python2-thrift
+%{?python_provide:%python_provide python2-%{upstream_name}-thrift}
 
-%description    thrift
+%description -n python2-%{upstream_name}-thrift
 txAMQP also includes support for using Thrift RPC over AMQP in Twisted
 applications.
 
@@ -57,10 +58,13 @@ sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py
 %exclude %{python2_sitelib}/%{upstream_name}/contrib/thrift
 %{python2_sitelib}/txAMQP-%{version}-*.egg-info
 
-%files thrift
+%files -n python2-%{upstream_name}-thrift
 %{python2_sitelib}/%{upstream_name}/contrib/thrift
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-5
+- Also rename the binary thrift subpackage to python2-txamqp-thrift
+
 * Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-4
 - Python 2 binary package renamed to python2-txamqp
   See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
diff --git python-websocket-client.spec python-websocket-client.spec
index d81f9d2a9d..bc6f9adcd3 100644
--- python-websocket-client.spec
+++ python-websocket-client.spec
@@ -14,7 +14,7 @@
 
 Name:               python-websocket-client
 Version:            0.40.0
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            WebSocket client for python
 
 Group:              Development/Libraries
@@ -37,20 +37,29 @@ BuildRequires:      python3-six
 %if 0%{?rhel} && 0%{?rhel} <= 6
 BuildRequires:      python-unittest2
 BuildRequires:      python-argparse
-Requires:           python-argparse
 %endif
 
 BuildRequires:      python-backports-ssl_match_hostname
-Requires:           python-backports-ssl_match_hostname
 
-Requires:           python-six
+%global _description\
+python-websocket-client module is WebSocket client for python. This\
+provides the low level APIs for WebSocket. All APIs are the synchronous\
+functions.\
+\
+python-websocket-client supports only hybi-13.
 
-%description
-python-websocket-client module is WebSocket client for python. This
-provides the low level APIs for WebSocket. All APIs are the synchronous
-functions.
+%description %_description
 
-python-websocket-client supports only hybi-13.
+%package -n python2-websocket-client
+Summary: %summary
+%if 0%{?rhel} && 0%{?rhel} <= 6
+Requires:           python-argparse
+%endif
+Requires:           python-backports-ssl_match_hostname
+Requires:           python-six
+%{?python_provide:%python_provide python2-websocket-client}
+
+%description -n python2-websocket-client %_description
 
 %if 0%{?with_python3}
 %package -n python3-websocket-client
@@ -135,7 +144,7 @@ popd
 
 %{__python2} setup.py test
 
-%files
+%files -n python2-websocket-client
 %doc README.rst LICENSE
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{eggname}*%{version}*
@@ -150,6 +159,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.40.0-4
+- Python 2 binary package renamed to python2-websocket-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 0.40.0-3
 - Cleanup spec file conditionals
 
diff --git python-xcffib.spec python-xcffib.spec
index 71bb9da7bb..05830b1385 100644
--- python-xcffib.spec
+++ python-xcffib.spec
@@ -1,8 +1,7 @@
-
 Summary: A drop in replacement for xpyb, an XCB python binding
 Name: python-xcffib
 Version: 0.5.1
-Release: 3%{?dist}
+Release: 4%{?dist}
 Source0: https://pypi.org/packages/source/x/xcffib/xcffib-%{version}.tar.gz
 License: ASL 2.0
 URL:  https://github.com/tych0/xcffib
@@ -73,7 +72,7 @@ the 29 (xprint and xkb are missing) X extensions in 1.10.
 %py3_install
 
 
-%files
+%files -n python2-xcffib
 %doc LICENSE
 %doc README.md
 %{python2_sitelib}/xcffib
@@ -87,6 +86,9 @@ the 29 (xprint and xkb are missing) X extensions in 1.10.
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-4
+- Fix creation of python2- subpackage
+
 * Thu Aug 10 2017 John Dulaney <jdulaney@fedoraproject.org> - 0.5.1-2
 - Modernize spec file a bit, including expressly build python2- binary package
 
diff --git python-xmlbuilder.spec python-xmlbuilder.spec
index b2bfec4fe7..f859ba381f 100644
--- python-xmlbuilder.spec
+++ python-xmlbuilder.spec
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        1.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        A python XML/(x)HTML builder
 
 License:        LGPLv3+
@@ -37,12 +37,15 @@ sed -i -e '/^#!\//, 1d' xmlbuilder/__init__.py
 %install
 %py2_install
 
-%files
+%files -n python2-%{srcname}
 %doc PKG-INFO README.txt
 %{python2_sitelib}/%{srcname}/
 %{python2_sitelib}/%{srcname}*.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-11
+- Fix creation of python2- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyxattr.spec pyxattr.spec
index 887f719324..f6fa8ef803 100644
--- pyxattr.spec
+++ pyxattr.spec
@@ -2,7 +2,7 @@
 Name:		pyxattr
 Summary:	Extended attributes library wrapper for Python
 Version:	0.5.3
-Release:	12%{?dist}
+Release:	13%{?dist}
 License:	LGPLv2+
 Group:		Development/Libraries
 URL:		http://pyxattr.k1024.org/
@@ -14,10 +14,21 @@ BuildRequires:	python2-devel, python-setuptools
 BuildRequires:	python3-devel, python3-setuptools
 %endif # with_python3
 
-%description
-Python extension module wrapper for libattr. It allows to query, list,
+%global _description\
+Python extension module wrapper for libattr. It allows to query, list,\
 add and remove extended attributes from files and directories.
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pyxattr%{?_isa} = %{version}-%{release}
+Obsoletes: pyxattr < %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %if %{?with_python3}
 %package -n python3-%{name}
 Summary:	Extended attributes library wrapper for Python 3
@@ -68,7 +79,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-%{name}
 %defattr(0644,root,root,0755)
 %{python2_sitearch}/xattr.so
 %{python2_sitearch}/*egg-info
@@ -87,6 +98,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sun Aug 13 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.3-13
+- Python 2 binary package renamed to python2-pyxattr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git qpid-proton.spec qpid-proton.spec
index 13a54248f9..8a8c9f0c4f 100644
--- qpid-proton.spec
+++ qpid-proton.spec
@@ -17,7 +17,7 @@
 
 Name:           qpid-proton
 Version:        0.18.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Group:          System Environment/Libraries
 Summary:        A high performance, lightweight messaging library
 License:        ASL 2.0
@@ -210,17 +210,18 @@ Obsoletes: qpid-proton-cpp-devel-docs
 
 
 %if 0%{?rhel}
-%package -n python-qpid-proton
+%package -n python2-qpid-proton
+%{?python_provide:%python_provide python2-qpid-proton}
 Group:    System Environment/Libraries
 Summary:  Python language bindings for the Qpid Proton messaging framework
 
 Requires: qpid-proton-c%{?_isa} = %{version}-%{release}
 Requires: python
 
-%description -n python-qpid-proton
+%description -n python2-qpid-proton
 %{summary}.
 
-%files -n python-qpid-proton
+%files -n python2-qpid-proton
 %defattr(-,root,root,-)
 %license %{proton_licensedir}/LICENSE
 %license %{proton_licensedir}/licenses.xml
@@ -422,6 +423,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.18.1-2
+- Python 2 binary package renamed to python2-qpid-proton
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Nov 16 2017 Irina Boverman <iboverma@redhat.com> - 0.18.1-1
 - Rebased to 0.18.1
 
diff --git redland-bindings.spec redland-bindings.spec
index 2a267aa092..a39c25cd0f 100644
--- redland-bindings.spec
+++ redland-bindings.spec
@@ -1,6 +1,6 @@
 Name:           redland-bindings
 Version:        1.0.16.1
-Release:        24%{?dist}
+Release:        25%{?dist}
 Summary:        Redland RDF Application Framework API Bindings
 
 Group:          System Environment/Libraries
@@ -94,13 +94,14 @@ an interface to PHP.
 %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 %endif
 
-%package -n     python-redland
+%package -n     python2-redland
 Summary:        Python modules for the Redland RDF library
 Group:          Development/Languages
 Requires:       redland >= %{redland_version}
 Requires:       redland-bindings-common
+%{?python_provide:%python_provide python2-redland}
 
-%description -n python-redland
+%description -n python2-redland
 The python-redland package contains the parts of Redland that provide
 an interface to Python.
 
@@ -207,7 +208,7 @@ make check ||:
 %config(noreplace) %{php_inidir}/%{ini_name}
 %{php_extdir}/redland.so
 
-%files -n python-redland
+%files -n python2-redland
 %doc docs/python.html
 %doc docs/pydoc/RDF.html python/example.py
 %{python_sitearch}/RDF.py*
@@ -221,6 +222,9 @@ make check ||:
 %{ruby_vendorarchdir}/rdf
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.16.1-25
+- Rename python subpackage to python2-redland
+
 * Tue Oct 03 2017 Remi Collet <remi@fedoraproject.org> - 1.0.16.1-24
 - rebuild for https://fedoraproject.org/wiki/Changes/php72
 
diff --git sip.spec sip.spec
index 19f6251d60..679ffe0226 100644
--- sip.spec
+++ sip.spec
@@ -17,7 +17,7 @@
 Summary: SIP - Python/C++ Bindings Generator
 Name: sip
 Version: 4.19.6
-Release: 2%{?dist}
+Release: 3%{?dist}
 
 # sipgen/parser.{c.h} is GPLv3+ with exceptions (bison)
 License: GPLv2 or GPLv3 and (GPLv3+ with exceptions)
@@ -42,29 +42,45 @@ Source1: macros.sip
 %global _sip_api_minor 3
 %global _sip_api %{_sip_api_major}.%{_sip_api_minor}
 
-Provides: sip-api(%{_sip_api_major}) = %{_sip_api}
-Provides: sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}
-
 BuildRequires: python2-devel
 BuildRequires: sed
 
-%description
-SIP is a tool for generating bindings for C++ classes so that they can be
-accessed as normal Python classes. SIP takes many of its ideas from SWIG but,
-because it is specifically designed for C++ and Python, is able to generate
-tighter bindings. SIP is so called because it is a small SWIG.
-
-SIP was originally designed to generate Python bindings for KDE and so has
-explicit support for the signal slot mechanism used by the Qt/KDE class
-libraries. However, SIP can be used to generate Python bindings for any C++
+%global _description\
+SIP is a tool for generating bindings for C++ classes so that they can be\
+accessed as normal Python classes. SIP takes many of its ideas from SWIG but,\
+because it is specifically designed for C++ and Python, is able to generate\
+tighter bindings. SIP is so called because it is a small SWIG.\
+\
+SIP was originally designed to generate Python bindings for KDE and so has\
+explicit support for the signal slot mechanism used by the Qt/KDE class\
+libraries. However, SIP can be used to generate Python bindings for any C++\
 class library.
 
-%package devel
+%description %_description
+
+%package -n python2-sip
+Summary: %summary
+Provides: sip-api(%{_sip_api_major}) = %{_sip_api}
+Provides: sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}
+%{?python_provide:%python_provide python2-sip}
+# Remove before F30
+Provides: sip = %{version}-%{release}
+Provides: sip%{?_isa} = %{version}-%{release}
+Obsoletes: sip < %{version}-%{release}
+
+%description -n python2-sip %_description
+
+%package -n python2-sip-devel
 Summary: Files needed to generate Python bindings for any C++ class library
-Requires: %{name}%{?_isa} = %{version}-%{release}
+Requires: python2-sip-%{name}%{?_isa} = %{version}-%{release}
 Requires: %{name}-macros = %{version}-%{release}
 Requires: python2-devel
-%description devel
+# Remove before F30
+Provides: sip-devel = %{version}-%{release}
+Provides: sip-devel%{?_isa} = %{version}-%{release}
+Obsoletes: sip-devel < %{version}-%{release}
+
+%description -n python2-sip-devel
 This package contains files needed to generate Python bindings for any C++
 classes library.
 
@@ -89,15 +105,7 @@ Provides: python3-sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}
 %description -n python3-sip
 This is the Python 3 build of SIP.
 
-SIP is a tool for generating bindings for C++ classes so that they can be
-accessed as normal Python 3 classes. SIP takes many of its ideas from SWIG but,
-because it is specifically designed for C++ and Python, is able to generate
-tighter bindings. SIP is so called because it is a small SWIG.
-
-SIP was originally designed to generate Python bindings for KDE and so has
-explicit support for the signal slot mechanism used by the Qt/KDE class
-libraries. However, SIP can be used to generate Python 3 bindings for any C++
-class library.
+%_description
 
 %package -n python3-sip-devel
 Summary: Files needed to generate Python 3 bindings for any C++ class library
@@ -163,13 +171,13 @@ mkdir -p %{buildroot}%{_datadir}/sip
 install -D -p -m644 %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.sip
 
 
-%files
+%files -n python2-sip
 %doc NEWS README
 %license LICENSE LICENSE-GPL2 LICENSE-GPL3
 %{python2_sitearch}/sip.so
 %{python2_sitearch}/sip*.py*
 
-%files devel
+%files -n python2-sip-devel
 %{_bindir}/sip
 %{_datadir}/sip/
 %{python2_inc}/sip.h
@@ -196,6 +204,10 @@ install -D -p -m644 %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.sip
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.19.6-3
+- Python 2 binary packages renamed to python2-sip and python2-sip-devel
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Dec 11 2017 Merlin Mathesius <mmathesi@redhat.com> - 4.19.6-2
 - Cleanup spec file conditionals
 
diff --git skf.spec skf.spec
index 233da423b3..16b86590a9 100644
--- skf.spec
+++ skf.spec
@@ -25,7 +25,7 @@
 
 Name:		skf
 Version:	%{mainver}
-Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betarel}%{?dist}
+Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betarel}%{?dist}.1
 Summary:	Utility binary files in Simple Kanji Filter
 
 Group:		Applications/Text
@@ -80,7 +80,12 @@ Provides: %{name}-python = %{version}-%{release}
 Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Obsoletes: %{name}-python < %{version}-%{release}
 %else
-%package	python
+%package	-n python2-skf
+%{?python_provide:%python_provide python2-skf}
+# Remove before F30
+Provides: %{name}-python = %{version}-%{release}
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
+Obsoletes: %{name}-python < %{version}-%{release}
 %endif
 Summary:	Python extension module for %{name}
 Group:		Development/Languages
@@ -125,7 +130,7 @@ This package contains Ruby extension module for skf.
 %if 0%{?fedora} >= 27
 %description	-n python2-skf
 %else
-%description	python
+%description	-n python2-skf
 %endif
 This package contains Python extension module for skf.
 
@@ -383,7 +388,7 @@ rm -rf %{buildroot}
 %if 0%{?fedora} >= 27
 %files	-n python2-skf
 %else
-%files	python
+%files	-n python2-skf
 %endif
 %defattr(-,root,root,-)
 %{python_sitearch}/_skf.so
@@ -402,6 +407,10 @@ rm -rf %{buildroot}
 %{perl_vendorarch}/auto/skf/
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.10.4-1.1
+- Python 2 binary package renamed to python2-skf
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Nov 22 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.10.4-1
 - 2.10.4
 
diff --git sphinxtrain.spec sphinxtrain.spec
index ce302c5495..2deb9b1fe3 100644
--- sphinxtrain.spec
+++ sphinxtrain.spec
@@ -3,7 +3,7 @@
 
 Name:           sphinxtrain
 Version:        1.0.8
-Release:        38%{?dist}
+Release:        39%{?dist}
 Summary:        Acoustic model trainer for CMU's Sphinx tools
 
 License:        BSD
@@ -52,12 +52,13 @@ SphinxTrain is Carnegie Mellon University's open source acoustic model
 trainer.  It contains the scripts and instructions necessary for building
 models for the CMU Sphinx Recognizer.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python interface to SphinxTrain
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 Requires:       sphinxbase-python%{?_isa}, python2-scipy%{?_isa}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python interface to SphinxTrain.
 
 %prep
@@ -164,11 +165,15 @@ find %{buildroot}%{_libdir}/%{name}/scripts/lib -name \*.pm -o -name \*.txt | \
 %{_libdir}/%{name}/
 %exclude %{python2_sitearch}/*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/SphinxTrain*.egg-info
 %{python2_sitearch}/cmusphinx/
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.8-39
+- Python 2 binary package renamed to python2-sphinxtrain
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Aug 14 2017 Jerry James <loganjerry@gmail.com> - 1.0.8-38
 - Rebuild for openfst 1.6.3
 
diff --git subversion.spec subversion.spec
index cfaf96a054..7fc8fa5d03 100644
--- subversion.spec
+++ subversion.spec
@@ -25,7 +25,7 @@
 Summary: A Modern Concurrent Version Control System
 Name: subversion
 Version: 1.9.7
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: ASL 2.0
 Group: Development/Tools
 URL: https://subversion.apache.org/
@@ -83,11 +83,16 @@ Conflicts: libserf%{?_isa} < 1.3.0
 The subversion-libs package includes the essential shared libraries
 used by the Subversion version control tools.
 
-%package python
+%package -n python2-subversion
+%{?python_provide:%python_provide python2-subversion}
+# Remove before F30
+Provides: %{name}-python = %{version}-%{release}
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
+Obsoletes: %{name}-python < %{version}-%{release}
 Group: Development/Libraries
 Summary: Python bindings for Subversion Version Control system
 
-%description python
+%description -n python2-subversion
 The subversion-python package includes the Python bindings to the
 Subversion libraries.
 
@@ -428,7 +433,7 @@ make check-javahl
 %endif
 %exclude %{_libdir}/libsvn_auth_gnome*
 
-%files python
+%files -n python2-subversion
 %{python_sitearch}/svn
 %{python_sitearch}/libsvn
 
@@ -471,6 +476,10 @@ make check-javahl
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.7-2
+- Python 2 binary package renamed to python2-subversion
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Aug 11 2017 Joe Orton <jorton@redhat.com> - 1.9.7-1
 - update to 1.9.7 (CVE-2017-9800, #1480402)
 - add Documentation= to svnserve.service
diff --git totpcgi.spec totpcgi.spec
index 22c8ef24cb..dbf947b2fc 100644
--- totpcgi.spec
+++ totpcgi.spec
@@ -7,7 +7,7 @@
 
 Name:       totpcgi
 Version:    0.5.5
-Release:    11%{?dist}
+Release:    12%{?dist}
 Summary:    A centralized totp solution based on google-authenticator
 
 License:    GPLv2+
@@ -30,11 +30,12 @@ Requires:   python-totpcgi = %{version}-%{release}
 A CGI/FCGI application to centralize google-authenticator deployments.
 
 
-%package -n python-totpcgi
+%package -n python2-totpcgi
+%{?python_provide:%python_provide python2-totpcgi}
 Summary:    Python libraries required for totpcgi
 Requires:   python-bcrypt, python-pyotp, python-crypto, python-passlib
 
-%description -n python-totpcgi
+%description -n python2-totpcgi
 This package includes the Python libraries required for totpcgi and
 totpcgi-provisioning.
 
@@ -129,7 +130,7 @@ done
 /usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux
 
 
-%pre -n python-totpcgi
+%pre -n python2-totpcgi
 # We always add both the totpcgi and totpcgi-provisioning user
 /usr/sbin/useradd -c "Totpcgi user" \
     -M -s /sbin/nologin -d /var/lib/totpcgi %{totpcgiuser} 2> /dev/null || :
@@ -183,7 +184,7 @@ fi
 %config(noreplace) %{_sysconfdir}/httpd/conf.d/totpcgi.conf
 %attr(-, %{totpcgiprovuser}, %{totpcgiuser}) %{_localstatedir}/lib/totpcgi
 
-%files -n python-totpcgi
+%files -n python2-totpcgi
 %doc COPYING
 %{python_sitelib}/*
 %dir %attr(-, %{totpcgiprovuser}, %{totpcgiuser}) %{_sysconfdir}/totpcgi
@@ -207,6 +208,10 @@ fi
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.5-12
+- Python 2 binary package renamed to python2-totpcgi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Aug 09 2017 Gwyn Ciesla <limburgher@gmail.com> - 0.5.5-11
 - Switch to python-bcrypt, BZ 1473018.
 
